var _____WB$wombat$assign$function_____=function(name){return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name))||self[name];};if(!self.__WB_pmw){self.__WB_pmw=function(obj){this.__WB_source=obj;return this;}}{
let window = _____WB$wombat$assign$function_____("window");
let self = _____WB$wombat$assign$function_____("self");
let document = _____WB$wombat$assign$function_____("document");
let location = _____WB$wombat$assign$function_____("location");
let top = _____WB$wombat$assign$function_____("top");
let parent = _____WB$wombat$assign$function_____("parent");
let frames = _____WB$wombat$assign$function_____("frames");
let opens = _____WB$wombat$assign$function_____("opens");
jQuery(document).ready(function($){

	var cmsliders = [];

	if(tt_slider_param !== undefined) {

		for (var key in tt_slider_param) {

			var columns = parseInt(tt_slider_param[key]['columns']);
			var wrap = tt_slider_param[key]['wrap_id']; 

				
				var smode = tt_slider_param[key]['mode'];
				var spause = parseInt(tt_slider_param[key]['pause']);
				var sauto = tt_slider_param[key]['auto'];

				//controls
				var next_arrow = tt_slider_param[key]['arrow_next'];
				var prev_arrow = tt_slider_param[key]['arrow_prev'];

				var scontrols = false;
				var sautocontrols = false;
				var spager = false;


				if(tt_slider_param[key]['controls']=='controls') {
					scontrols = true;
				}

				if(tt_slider_param[key]['controls']=='pager') {
					spager = true;
				}


				if(tt_slider_param[key]['controls']=='autocontrols') {
					sautocontrols = true;
				}




				$(wrap +' .ttshowcase_slider').fadeIn('slow');

				cmsliders[key] = $(wrap +' .ttshowcase_wrap').bxSlider({
				 
				  mode: smode,
				  auto: sauto,
				  controls: scontrols,
				  autoControls: sautocontrols,
				  pager: spager,
				  pause: spause,
				  pagerType: 'full',
				  autoHover: true,
				  nextSelector: '#tt-slider-next',
  				  prevSelector: '#tt-slider-prev',
  				  nextText: next_arrow,
  				  prevText: prev_arrow

				});

				if(sauto==true) {
					
					$('.bx-next, .bx-prev, .bx-pager a').click(function(){
					    // time to wait (in ms)
					    var wait = 2000;
					    setTimeout(function(){
					        cmsliders[key].startAuto();
					    }, wait);
					});

				}

				
			

		}
	}

});
}